%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-css
Version:    1.6.0
Release:    %mkrel 2
Summary:    A CSS parser/stringifier for Node.js using css-parse and css-stringify
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/css
Source0:    http://registry.npmjs.org/css/-/css-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(css-parse)
BuildRequires:  npm(css-stringify)
%endif

%description
%{summary}.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/css

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test
%endif


%files
%doc History.md LICENSE Readme.md
%{nodejs_sitelib}/css




%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.6.0-2.mga6
+ Revision: 950434
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 tv <tv> 1.6.0-1.mga5
+ Revision: 794320
- imported package nodejs-css


* Wed Oct 29 2014 Thierry Vignaud <tv@mageia.org> 1.6.0-1.mga5
- import from FC

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.6.0-1
- initial package
